import usb
import time
import pygame ,sys
import random
from board import Board
from pygame.locals import *
VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
Shoulder = 200
MID = 700
score=0
def find_board():
  for bus in usb.busses():
    for dev in bus.devices:
      if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
        return dev
  return None
pygame.init()
fpsClock = pygame.time.Clock()
b=Board()
windowSurfaceObj = pygame.display.set_mode((600,750))
rObj = pygame.display.set_mode((600,750))
pygame.display.set_caption('Pygame Cheat Sheet')
bullet1 = pygame.image.load('bull.png')
backg = pygame.image.load('man.png')
ready = pygame.image.load('ready.png')
redColor = pygame.Color(255,0,0)
greenColor= pygame.Color(0,255,0)
blueColor = pygame.Color(0,0,255)
whiteColor = pygame.Color(255,255,255)
soundObj = pygame.mixer.Sound('bounce.wav')
sp= [pygame.mixer.Sound('prestart1.wav'),pygame.mixer.Sound('prestart2.wav')]
ss= [pygame.mixer.Sound('start1.wav'),pygame.mixer.Sound('start2.wav'),pygame.mixer.Sound('start3.wav')]
se= [pygame.mixer.Sound('end1.wav'),pygame.mixer.Sound('end2.wav'),pygame.mixer.Sound('end3.wav')]
smid=[pygame.mixer.Sound('mid1.wav'),pygame.mixer.Sound('mid2.wav'),pygame.mixer.Sound('mid3.wav'),pygame.mixer.Sound('mid4.wav'),pygame.mixer.Sound('mid5.wav'),pygame.mixer.Sound('mid6.wav')]
fontObj = pygame.font.Font('freesansbold.ttf',32)
msg = '0'
time=0
soundObj = pygame.mixer.Sound('bounce.wav')
sp[random.randint(0,1)].play()
while time<5000:
  rObj.blit(ready,(0,0))
  time = pygame.time.get_ticks()
  pygame.display.update()
  fpsClock.tick(30)
while True:
  ss[random.randint(0,2)].play()
  count=0
  shoot1=False
  shoot2=False
  shoot3=False
  start=False
  while not shoot1 or not shoot2 or not shoot3:
    if b.get_light1()>MID:
      soundObj.play()
      shoot1=True
    if b.get_light2()>MID:
      soundObj.play()
      shoot2=True
    if b.get_light3()>MID:
      soundObj.play()
      shoot3=True
    if count%200==0:
      smid[random.randint(0,5)].play()
      
#windowSurfaceObj.fill(whiteColor)
    windowSurfaceObj.blit(backg,(0,0))
    if shoot1:
      windowSurfaceObj.blit(bullet1,(100,Shoulder))
    if shoot2:
      windowSurfaceObj.blit(bullet1,(400,Shoulder))
    if shoot3:
      windowSurfaceObj.blit(bullet1,(330-75,10))
    msgSurfaceObj = fontObj.render(msg,False,blueColor)
    msgRectobj = msgSurfaceObj.get_rect()
    msgRectobj.topleft=(10,20)
    windowSurfaceObj.blit(msgSurfaceObj,msgRectobj)
    for event in pygame.event.get():
      if event.type == QUIT:
        pygame.quit()
        sys.exit()
      elif event.type == KEYDOWN:
        if event.key == K_ESCAPE:
          pygame.event.post(pygame.event.Event(QUIT))
    count+=1
    msg="Time:   "+str(count)
    pygame.display.update()
    fpsClock.tick(30)
  se[random.randint(0,2)].play()
  while not start:
    windowSurfaceObj.fill(whiteColor)
    msgSurfaceObj = fontObj.render("Your Score is "+str(count)+"millisec.",False,blueColor)
    msgRectobj = msgSurfaceObj.get_rect()
    msgRectobj.topleft=(100,400)
    windowSurfaceObj.blit(msgSurfaceObj,msgRectobj)
    for event in pygame.event.get():
      if event.type == QUIT:
        pygame.quit()
        sys.exit()
      elif event.type == KEYDOWN:
        if event.key == K_ESCAPE:
          pygame.event.post(pygame.event.Event(QUIT))
        elif event.key == K_SPACE:
          start =True
    pygame.display.update()
    fpsClock.tick(30)
  start=False
